org.apache.commons.math3.util

## Enum MathArrays.OrderDirection

- java.lang.Object
- - java.lang.Enum<MathArrays.OrderDirection>
  - - org.apache.commons.math3.util.MathArrays.OrderDirection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MathArrays.OrderDirection>

Enclosing class:
  MathArrays

    public static enum MathArrays.OrderDirection
    extends java.lang.Enum<MathArrays.OrderDirection>

Specification of ordering direction.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DECREASING` Constant for decreasing direction.
`INCREASING` Constant for increasing direction.

### Method Summary

Methods
`static MathArrays.OrderDirection` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MathArrays.OrderDirection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INCREASING

    public static final MathArrays.OrderDirection INCREASING

Constant for increasing direction.

#### DECREASING

    public static final MathArrays.OrderDirection DECREASING

Constant for decreasing direction.

### Method Detail

#### values

    public static MathArrays.OrderDirection[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MathArrays.OrderDirection c : MathArrays.OrderDirection.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MathArrays.OrderDirection valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null